/**
 * Test KSBServicesModelThingie operation.
 *
 * Execute in browser console.
 */

// Operation: index.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie/',
  type: 'GET',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});

// Operation: create. Parameters placed in POST data.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie',
  type: 'POST',
  data: {
    properties: {
      name: 'first',
      color: 'green'
    }
  },
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});
// Operation: create. Parameters placed in JSON serialized GET parameter.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie?serialized=' + encodeURIComponent(JSON.stringify({
    name: 'second',
    color: 'blue - is this/url safe?'
  })),
  type: 'POST',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});

// Operation: update. Parameters placed in JSON serialized GET parameter.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie/2?serialized=' + encodeURIComponent(JSON.stringify({
    color: 'orange'
  })),
  type: 'PUT',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});

// Operation: delete.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie/1',
  type: 'DELETE',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});

// Operation: get.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie/2',
  type: 'GET',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});


// (HEAD) Operation: index.
jQuery.ajax({
  url: '/service/restmini-example/example/thingie',
  type: 'HEAD',
  data: null,
  dataType: 'json',
  cache: false,
  success: function(oResp, textStatus, jqXHR) {
    if (window.inspect) {
      inspect([jqXHR.status, oResp]);
    }
    else {
      console.log(jqXHR.status + "\n" + oResp);
    }
  },
  error: function(jqXHR, textStatus, errorThrown) {
    if (window.inspect) {
      inspect([jqXHR.status, jqXHR.responseText]);
    }
    else {
      console.log(jqXHR.status + "\n" + jqXHR.responseText);
    }
  }
});
